/* reset */
*,
*::before,
*::after {  
  box-sizing: border-box;
}

body {
  background-color: black;
  padding: 20px;

  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}


/* other */
.info {
  margin: 20px 0;
  text-align: center;
}

p {
  color: #2e2e2e;
  margin-bottom: 20px;
}


/* block-$ */
.block-effect {
  font-size: calc(8px + 6vw);
}

.block-reveal {
  --t: calc(var(--td) + var(--d));

  color: transparent;
  padding: 4px;

  position: relative;
  overflow: hidden;

  animation: revealBlock 0s var(--t) forwards;
}

.block-reveal::after {
  content: '';

  width: 0%;
  height: 100%;
  padding-bottom: 4px;

  position: absolute;
  top: 0;
  left: 0;

  background: linear-gradient(90deg, rgba(255,25,25,1) 0%, rgba(0,0,0,1) 100%);
  animation: revealingIn var(--td) var(--d) forwards, revealingOut var(--td) var(--t) forwards;
}

.block-reveal_box {
  --t: calc(var(--td) + var(--d));

  background-color: transparent;
  padding: 4px;

  position: relative;
  overflow: hidden;

  animation: revealBlockBox 0s var(--t) forwards;
}

.block-reveal_box::after {
  content: '';

  width: 0%;
  height: 100%;
  padding-bottom: 4px;

  position: absolute;
  top: 0;
  left: 0;

  background: linear-gradient(90deg, rgba(255,25,25,1) 0%, rgba(0,0,0,1) 100%);
  animation: revealingIn var(--td) var(--d) forwards, revealingOut var(--td) var(--t) forwards;
}


/* animations */
@keyframes revealBlock {
  100% {
    color: #ff4242;
  }
}

@keyframes revealBlockBox {
  100% {
    background: linear-gradient(0deg, rgba(43,15,15,1) 0%, rgba(255,25,25,1) 100%);
  }
}

@keyframes revealingIn {

  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}

@keyframes revealingOut {

  0% {
    transform: translateX(0);
  }
  50%{
      opacity: 1;
    }    
  90%{
      opacity: 0;
    }    
  100% {
    transform: translateX(100%);    
  }

}

.abs-site-link {
  position: fixed;
  bottom: 20px;
  left: 20px;
  color: hsla(0, 0%, 0%, .6);
  font-size: 16px;
}


/*RADIO*/

a {
  text-decoration: none;
}
ul {
  list-style-type: none;
}

.radio-section {
  display: flex;
  align-items: left;
  justify-content: left;
  height: 100vh;
}
h1 {
  margin-bottom: 20px;
}
.radio-item [type="radio"] {
  display: none;
}
.radio-item + .radio-item {
  margin-top: 15px;
}
.radio-item label {
  display: block;
  padding: 20px 60px;
  background: linear-gradient(49deg, rgba(0,0,0,1) 0%, rgba(255,25,25,1) 100%);
  border: 2px solid rgba(255, 255, 255, 0.1);
  border-radius: 8px;
  cursor: pointer;
  font-size: 18px;
  font-weight: 400;
  min-width: 250px;
  white-space: nowrap;
  position: relative;
  transition: 0.4s ease-in-out 0s;
}
.radio-item label:after,
.radio-item label:before {
  content: "";
  position: absolute;
  border-radius: 50%;
}
.radio-item label:after {
  height: 19px;
  width: 19px;
  border: 2px solid #ff4242;
  left: 19px;
  top: calc(50% - 12px);
}
.radio-item label:before {
  background: #ff4242;
  height: 20px;
  width: 20px;
  left: 21px;
  top: calc(50%-5px);
  transform: scale(5);
  opacity: 0;
  visibility: hidden;
  transition: 0.4s ease-in-out 0s;
}
.radio-item [type="radio"]:checked ~ label {
  border-color: #ff4242;
}
.radio-item [type="radio"]:checked ~ label::before {
  opacity: 1;
  visibility: visible;
  transform: scale(1);
}

/*Radio 2 - Bubble*/

.Radio input[type="radio"] {
  position: absolute;
  left: -100px;
}
.Radio input[type="radio"] + label {
  position: relative;
  display: block;
  line-height: 3rem;
  cursor: pointer;
  white-space: nowrap;
  color: #000000;
}

.Radio input[type="radio"] + label::before,
.Radio input[type="radio"] + label::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  transition: 0.5s;
}

.Radio input[type="radio"] + label {
  padding-left: 3rem;
}

.Radio input[type="radio"] + label::before {
  width: 2rem;
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  background: #972424;
}

.Radio input[type="radio"] + label::after {
  left: 0.2rem;
  width: 1.4rem;
  transform: translateY(-50%) scale(0);
}

.Radio input[type="radio"]:not(:checked) + label::after {
  animation: radio 0.5s linear;
}

.Radio input[type="radio"]:checked + label::after {
  transform: translateY(-50%) scale(1);
}

.Radio input[type="radio"] + label::after {
  aspect-ratio: 1 / 1;
  border: 0.1rem solid #fff;
  border-radius: 50%;
  background: radial-gradient(circle at 70% 30%, #fff, rgba(0, 0, 0, 0) 25%),
    radial-gradient(
      circle at 60% 55%,
      rgba(0, 0, 0, 0) 60%,
      rgba(255, 245, 27, 0.8) 100%
    ),
    radial-gradient(
      circle at 50% 50%,
      rgba(0, 0, 0, 0) 40%,
      rgba(255, 178, 0, 0.2) 60%,
      rgba(0, 0, 0, 0) 68%
    ),
    radial-gradient(
      circle at 50% 55%,
      rgba(0, 0, 0, 0) 35%,
      rgba(255, 255, 0, 0.2) 45%,
      rgba(0, 0, 0, 0) 55%
    );
}

@keyframes radio {
  0% {
    transform: translateY(-50%) scale(1);
  }
  100% {
    transform: translateY(-50%) scale(1.7);
  }
}

